#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'publik.proses_regis'}
#{/set}

<div class="breadcrumb">&{'publik.pendaftaran_penyedia'}</div>
<div class="content">
#{alert /}
#{form @PublikCtr.rekananMendaftarSave(), method:'POST', id:'formRekananMendaftar'}
    <div class="row">
        <div class="col-md-6">
            <div class="form-group row">
                <label class="col-4 col-form-label">Bentuk Usaha <span class="warning">*</span></label>
                <div class="col-7">
                    <select id="bentukUsaha" name="rekanan.btu_id" class="form-control  selectpicker #{validate 'rekanan.btu_id'/}" data-live-search="true" data-width="auto" title="Pilih Bentuk Usaha">
                    </select>
                    <div class="invalid-feedback">#{error 'rekanan.btu_id' /}</div>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-4 col-form-label">User ID <span class="warning">**</span></label>
                <div class="col-7">
                    <input class="form-control #{validate 'rekanan.rkn_namauser'/}" type="text" size="30" maxlength=20 name="rekanan.rkn_namauser" value="${flash['rekanan.rkn_namauser']}"/>
                    <div class="invalid-feedback">#{error 'rekanan.rkn_namauser' /}</div>
                    <span class="label-block">Maksimal 20 karakter. Hanya huruf (a-z), angka (0-9), dan pembatas (.) yang diperbolehkan.</span>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-4 col-form-label">Password <span class="warning">*</span></label>
                <div class="col-7">
                    <input class="form-control #{validate 'password'/}" type="password" id="password" size="30" maxlength=20 name="password" />
                    <div class="invalid-feedback">#{error 'password' /}</div>
                    <span class="label-block">Maksimal 30 karakter. Panjang Password minimal 8 karakter dan terdiri dari kombinasi huruf, angka, dan karakter khusus.</span>
                    <span>Pastikan status Password <b>Strong</b> untuk dapat mendaftarkan akun Anda.</span>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-4 col-form-label">Ulangi Password <span class="warning">*</span></label>
                <div class="col-7">
                    <input class="form-control #{validate 'passwordVerifikasi'/}" type="password" size="30" maxlength=20 name="passwordVerifikasi" />
                    <div class="invalid-feedback">#{error 'passwordVerifikasi' /}</div>
                    <span class="label-block">Maksimal 30 karakter.</span>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-4 col-form-label">Nama Perusahaan <span class="warning">*</span></label>
                <div class="col-7">
                    <input class="form-control #{validate 'rekanan.rkn_nama'/}" type="text" maxlength=50 name="rekanan.rkn_nama" value="${flash['rekanan.rkn_nama']}"/>
                    <div class="invalid-feedback">#{error 'rekanan.rkn_nama' /}</div>
                    <span class="label-block">Maksimal 50 karakter.</span>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-4 col-form-label">Alamat <span class="warning">*</span></label>
                <div class="col-7">
                    <textarea type="text" size="40" name="rekanan.rkn_alamat" value="${flash['rekanan.rkn_alamat']}" class="form-control #{validate 'rekanan.rkn_alamat'/}"></textarea>
                    <div class="invalid-feedback">#{error 'rekanan.rkn_alamat' /}</div>
                    <span class="label-block">Maksimal 500 karakter.</span>
                </div>
            </div>
            <div class="form-group row" id="fieldKodepos">
                <label class="col-4 col-form-label">Kode Pos</label>
                <div class="col-7">
                    <input type="text" size="5" name="rekanan.rkn_kodepos" maxlength="5" value="${flash['rekanan.rkn_kodepos']}" class="form-control" onkeypress="return isNumberKey(event)" ondrop="return false;" onpaste="return false;" />
                    <span class="label-block">Maksimal 5 karakter.</span>
                </div>
            </div>
            <div class="form-group row" id="fieldProvinsi">
                <label class="col-4 col-form-label">Provinsi<span class="warning">*</span></label>
                <div class="col-7">
                    <select id="propinsi" name="propinsi" class="form-control selectpicker  #{validate 'propinsi'/}" data-live-search="true" data-width="auto" title="Pilih Provinsi">
                    </select>
                    <div class="invalid-feedback">#{error 'propinsi' /}</div>
                </div>
             </div>   
             <div class="form-group row" id="fieldKabupaten">   
                <label class="col-4 col-form-label">Kabupaten/Kota<span class="warning">*</span></label>
                <div class="col-7">
                    <select id="kabupaten" name="rekanan.kbp_id" class="form-control selectpicker #{validate 'rekanan.kbp_id'/}" data-live-search="true" data-width="auto" title="Pilih Kabupaten/Kota">
                    </select>
                    <div class="invalid-feedback">#{error 'rekanan.kbp_id' /}</div>
                    <span class="label-block">(Pilihan Kabupaten/Kota sesuai dengan pilihan Provinsi)</span>
                </div>
            </div>
            
            <div class="form-group row" id="fieldKota">
                <label class="col-4 col-form-label">Kota <span class="warning">*</span></label>
                <div class="col-7">
                    <input type="text" name="rekanan.kota" value="${flash['rekanan.kota']}" class="form-control #{validate 'rekanan.kota'/}">
                    <div class="invalid-feedback">#{error 'rekanan.kota' /}</div>
                </div>
            </div>
            <div class="form-group row" id="fieldNegara">    
                <label class="col-4 col-form-label">Negara <span class="warning">*</span></label>
                <div class="col-7">
                    <select id="negara" name="rekanan.ngr_id" class="form-control selectpicker #{validate 'rekanan.ngr_id'/}" data-live-search="true" data-width="auto" title="Pilih Negara">
                    </select>
                    <div class="invalid-feedback">#{error 'rekanan.ngr_id' /}</div>
                </div>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group row">
                <label class="col-4 col-form-label">NPWP <span id="warning-npwp" class="warning">*</span></label>
                <div class="col-7">
                    <input type="text" id="npwp" name="rekanan.rkn_npwp" maxlength="20" value="${flash['rekanan.rkn_npwp']}" class="form-control #{validate 'rekanan.rkn_npwp'/}">
                    <div class="invalid-feedback">#{error 'rekanan.rkn_npwp' /}</div>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-4 col-form-label">Email</label>
                <div class="col-7">
                    <input type="text" name="rekanan.rkn_email" value="${rekanan.rkn_email}" readonly="readonly" class="form-control">
                </div>
            </div>
            <div class="form-group row" id="fieldNoPkp">
                <label class="col-4 col-form-label">No. PKP</label>
                <div class="col-7">
                    <input type="text" name="rekanan.rkn_pkp" value="${flash['rekanan.rkn_pkp']}" class="form-control">
                </div>
            </div>
            <div class="form-group row">
                <label class="col-4 col-form-label">No. Telepon <span class="warning">*</span></label>
                <div class="col-7">
                    <input type="text" size="20" maxlength="20" name="rekanan.rkn_telepon" value="${flash['rekanan.rkn_telepon']}"
                           class="form-control #{validate 'rekanan.rkn_telepon'/}" onkeypress="return isNumberPhoneKey(event)" ondrop="return false;" onpaste="return false;" />
                    <div class="invalid-feedback">#{error 'rekanan.rkn_telepon' /}</div>
                    <span class="label-block">Maksimal 20 karakter.</span>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-4 col-form-label">No. Fax</label>
                <div class="col-7">
                     <input type="text" size="20" name="rekanan.rkn_fax" maxlength="20" value="${flash['rekanan.rkn_fax']}" class="form-control" onkeypress="return isNumberPhoneKey(event)" ondrop="return false;" onpaste="return false;" />
                    <span class="label-block">Maksimal 20 karakter.</span>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-4 col-form-label">No. Handphone</label>
                <div class="col-7">
                     <input type="text" size="20" maxlength="20" name="rekanan.rkn_mobile_phone"
                           value="${flash['rekanan.rkn_mobile_phone']}" class="form-control" onkeypress="return isNumberPhoneKey(event)" ondrop="return false;" onpaste="return false;" />
                    <span class="label-block">Maksimal 20 karakter.</span>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-4 col-form-label">Website</label>
                <div class="col-7">
                    <input type="text" name="rekanan.rkn_website" value="${flash['rekanan.rkn_website']}" class="form-control #{validate 'rekanan.rkn_website'/}">
                    <span class="label-block">#{error 'rekanan.rkn_website' /} (Format URL: http://www.lkpp.go.id)</span>
                </div>
            </div>
            <div class="form-group row" id="fieldCabang">
                <label class="col-4 col-form-label">Kantor Cabang? <span class="warning">*</span></label>
                <div class="col-7">
                    <div class="form-check form-check-inline">
                        <input class="form-check-input" type="radio" value="P" id="rkn_statcabang_no" name="rekanan.rkn_statcabang" #{if flash['rekanan.rkn_statcabang'] != 'C'} checked="checked" #{/if}
                               onClick="$('#pusat').hide();"/>
                        <label class="form-check-label" for="rkn_statcabang_no">Tidak</label>
                    </div>
                    <div class="form-check form-check-inline">
                        <input class="form-check-input" type="radio" value="C" id="rkn_statcabang_yes" name="rekanan.rkn_statcabang" #{if flash['rekanan.rkn_statcabang'] == 'C'} checked="checked" #{/if}
                               onClick="$('#pusat').show();" />
                        <label class="form-check-label" for="rkn_statcabang_yes">Ya</label>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div id="pusat" style="display:none">
        <h4>&{'publik.kantor_pusat'}</h4>
        <p>&{'publik.jika_kantor_cabang'}</p>
        <div class="row">
            <div class="col-md-6">
                <div class="form-group row">
                    <label class="col-4 col-form-label">Alamat <span class="warning">*</span></label>
                    <div class="col-7">
                        <textarea name="rekanan.rkn_almtpusat" class="form-control #{validate 'rekanan.rkn_almtpusat'/}">${flash['rekanan.rkn_almtpusat']}</textarea>
                        <div class="invalid-feedback">#{error 'rekanan.rkn_almtpusat' /}</div>
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-4 col-form-label">Email <span class="warning">*</span></label>
                    <div class="col-7">
                        <input type="text" maxlength="40" name="rekanan.rkn_emailpusat" value="${flash['rekanan.rkn_emailpusat']}" class="form-control #{validate 'rekanan.rkn_emailpusat'/}">
                        <div class="invalid-feedback">#{error 'rekanan.rkn_emailpusat' /}</div>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group row">
                    <label class="col-4 col-form-label">No. Telepon <span class="warning">*</span></label>
                    <div class="col-7">
                         <input type="text" maxlength="20" name="rekanan.rkn_telppusat" value="${flash['rekanan.rkn_telppusat']}" class="form-control" onkeypress="return isNumberPhoneKey(event)" ondrop="return false;" onpaste="return false;" />
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-4 col-form-label">No. Fax <span class="warning">*</span></label>
                    <div class="col-7">
                         <input type="text"  maxlength="20" name="rekanan.rkn_faxpusat" value="${flash['rekanan.rkn_faxpusat']}" class="form-control" onkeypress="return isNumberPhoneKey(event)" ondrop="return false;" onpaste="return false;" />
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="bs-callout bs-callout-warning">
        <span class="warning">*</span> Data ini wajib diisi.<br/>
        <span class="warning">**</span> User ID akan digunakan untuk login, gunakan User ID yang mudah diingat.<br><br>
        <ol style="margin: 0px;" id="persyaratan">
            <li>&{'publik.lengkapi_persyaratan'}</li>
            <ol type="a">
                <li>&{'publik.lengkapi_persyaratan_1'}</li>
                <li>&{'publik.lengkapi_persyaratan_2'}</li>
                <li>&{'publik.lengkapi_persyaratan_3'}</li>
                <li>&{'publik.lengkapi_persyaratan_4'}</li>
                <li>&{'publik.lengkapi_persyaratan_5'}</li>
                *{<li>&{'publik.lengkapi_persyaratan_6'}</li>}*
                *{<li>&{'publik.lengkapi_persyaratan_7'}</li>}*
            </ol>
            <li>&{'publik.serahkan_berkas'}</li>
        </ol>
        <ol style="margin: 0px;" id="persyaratan-asing">
            <li>&{'publik.lengkapi_persyaratan'}</li>
            <ol type="a">
                <li>&{'publik.berkas_asing_1'}/li>
                <li>&{'publik.berkas_asing_2'}</li>
            </ol>
            <li>&{'publik.kirim_softcopy'}</li>
        </ol>
    </div>
    <div class="form-group row">
        <div class="col-md-6" >
            <a href="@{PublikCtr.persetujuanPopup()}" class="btn btn-success dialog" title="Persetujuan Pendaftaran Pelaku Usaha"><i class="fa fa-save"></i> &{'publik.mendaftar'}</a>
        </div>
    </div> 
#{/form }
</div>

#{set 'custom_script'}
<script type="text/javascript"  src="#{assets '/js/jquery.maskedinput.min.js'/}"></script>
#{/set}

#{set 'custom_script'}
<script type="text/javascript">
    var kabUrl = #{jsRoute @JSONCtr.daftar_kabupaten(':id') /};
    var propUrl = #{jsRoute @JSONCtr.daftar_propinsi() /};
    var bentukUrl = #{jsRoute @JSONCtr.daftar_bentuk_usaha() /};
    var negaraUrl = #{jsRoute @JSONCtr.daftar_negara() /};
    
    $(document).ready(function () {
        $('#password').strength({
            strengthClass: 'strength',
            strengthMeterClass: 'strength_meter',
            strengthButtonClass: 'button_strength',
            strengthButtonText: '',
            strengthButtonTextToggle: ''
        });

        $('#persyaratan-asing').hide();
        $('#persyaratan').hide();

        $.getJSON(bentukUrl.url(), function(data){
            var options = '';
            for (var i = 0; i < data.length; i++) {
                options += '<option value="' + data[i].id + '">' + data[i].label + '</option>';
            }
            $('#bentukUsaha').html(options);
            $('#bentukUsaha').selectpicker('refresh');
            #{if flash['rekanan.btu_id']}
                $('#bentukUsaha').selectpicker('val',${flash['rekanan.btu_id']});
            #{/if}
            $('#bentukUsaha').change();
        });

        $.getJSON(negaraUrl.url(), function(data){
            var options = '';
            for (var i = 0; i < data.length; i++) {
                options += '<option value="' + data[i].id + '">' + data[i].label + '</option>';
            }
            $('#negara').html(options);
            $('#negara').selectpicker('refresh');
            #{if flash['rekanan.ngr_id']}
            $('#negara').selectpicker('val',${flash['rekanan.ngr_id']});
            #{/if}
        });

        $('#bentukUsaha').change(function(){
            if($(this).val() == 10) {
                $('#npwp').attr('placeholder', '');
                $('#npwp').on("click", function () {
                    $('#npwp').unmask();
                });
                $('#fieldProvinsi').hide();
                $('#fieldKabupaten').hide();
                $('#fieldKota').show();
                $('#fieldNegara').show();
                $('#warning-npwp').hide();
                $('#fieldNoPkp').hide();
                $('#fieldKodepos').hide();
                $('#fieldCabang').hide();
                $('#persyaratan').hide();
                $('#tblPusat').hide();
                $('#persyaratan-asing').show();
            }
            else {
                $('#fieldProvinsi').show();
                $('#fieldKabupaten').show();
                $('#fieldNegara').hide();
                $('#fieldKota').hide();
                $('#npwp').attr('placeholder', '__.___.___._-___.___');
                $('#npwp').on("click", function () {
                    $(this).mask("99.999.999.9-999.999");
                });
                $('#warning-npwp').show();
                $('#fieldNoPkp').show();
                $('#fieldKodepos').show();
                $('#fieldCabang').show();
                $('#persyaratan').show();
                $('#persyaratan-asing').hide();
            }
        });

        $.getJSON(propUrl.url(), function(data){
            var options = '';
            for (var i = 0; i < data.length; i++) {
                options += '<option value="' + data[i].id + '">' + data[i].label + '</option>';
            }
            $('#propinsi').html(options);
            $('#propinsi').selectpicker('refresh');
            $('#propinsi').change();
        });

        $('#propinsi').change(function(){
            var id = $(this).val();
            $.getJSON(kabUrl.url({id:id}), function(data){
                var options = '';
                for (var i = 0; i < data.length; i++) {
                    options += '<option value="' + data[i].id + '">' + data[i].label + '</option>';
                }
                $('#kabupaten').html(options);
                $('#kabupaten').selectpicker('refresh');
                #{if flash['rekanan.kbp_id']}
                $('#kabupaten').selectpicker('val', ${flash['rekanan.kbp_id']});
                #{/if}
            });
        })
        #{if flash["rekanan.rkn_statcabang"] == 'P'} $("#pusat").hide(); #{/if}
        #{if flash["rekanan.rkn_statcabang"] == 'C'} $("#pusat").show(); #{/if}
    });

     function isNumberKey(evt) {
         var charCode = (evt.which) ? evt.which : evt.keyCode;
         if (charCode > 31 && (charCode < 48 || charCode > 57))
                return false;
          return true;
     }
     function isNumberPhoneKey(evt) {
         var charCode = (evt.which) ? evt.which : evt.keyCode;
         if (charCode != 45 && charCode > 31 && (charCode < 48 || charCode > 57))
                return false;
          return true;
     }
     
</script>
#{/set}
